body {
    background-color: #1a1a1a;
    color: #fff;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    text-align: center;
    margin: 0;
    padding-bottom: 60px;
}

h1 {
    font-size: 60px;
    text-transform: uppercase;
    text-shadow: 0 4px 12px rgba(0, 0, 0, 0.6);
    letter-spacing: 2px;
    margin-top: 60px;
}

.highlight {
    color: #443ee4;
}

p {
    color: #a5a3ae;
    font-size: 18px;
    text-transform: uppercase;
    letter-spacing: 1px;
    opacity: 0.9;
}

.server {
    background-color: #111424;
    color: #443ee4;
    font-size: 20px;
    margin-top: 20px;
    padding: 12px 30px;
    border-radius: 10px;
    border: 2px solid #443ee4;
    box-shadow: 0 20px 40px rgba(0, 0, 0, 0.5);
    transition: transform 0.2s ease, border-color 0.2s ease;
    display: inline-block;
}

.server h2 {
    font-size: 30px;
    text-transform: uppercase;
    margin: 0 0 5px 0;
}

.server p {
    font-size: 14px;
    color: #fff;
    margin: 0;
}

.server:hover {
    border: #443ee4;
    transform: translateY(-6px);
}

.urls {
    margin-top: 60px;
    display: flex;
    justify-content: center;
    gap: 30px;
}

.urls a {
    background-color: #443ee4;
    color: #fff;
    text-decoration: none;
    font-size: 20px;
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 1px;
    padding: 12px 24px;
    border-radius: 7px;
    border: 3px solid #312cb6;
    transition: all 0.2s ease;
}

.urls a:hover {
    background-color: #312cb6;;
    transform: translateY(-6px);
    box-shadow: 0 6px 20px #312cb6;;
}

.regions-container {
    margin-top: 80px;
}

.regions-container h2 {
    font-size: 25px;
    text-transform: uppercase;
    letter-spacing: 1px;
    text-shadow: 0 2px 8px rgba(0, 0, 0, 0.5);
    margin-bottom: 30px;
}

.regions-grid {
    display: flex;
    justify-content: center;
    gap: 30px;
    flex-wrap: wrap;
    max-width: 1000px;
    margin: 0 auto;
    padding: 0 2px;
}

.region-card {
    background-color: rgba(51, 51, 51, 0.85);
    border: 2px solid rgba(255, 255, 255, 0.1);
    border-radius: 10px;
    padding: 25px;
    width: 240px;
    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.5);
    transition: transform 0.2s ease, border-color 0.2s ease;
}

.region-card:hover {
    transform: translateY(-6px);
    border-color: #443ee4;
}

.region-card h3 {
    font-size: 20px;
    color: #443ee4;
    letter-spacing: 1px;
    margin: 0 0 10px 0;
}

.region-card .status {
    font-size: 15px;
    color: aaa;
    margin: 0;
}

.banner {
    position: fixed;
    inset: 0;
    filter: blur(8px);
    transform: scale(1.05);
    z-index: -1;
    background-size: cover;
    background-position: center;
    background-image: linear-gradient(rgba(9, 12, 24, 0.6), rgba(9, 12, 24, 0.85)), url("background.png");
}
